std::literals Namespace Reference

## Namespaces

namespace | chrono_literals

## Functions

template<char... _Digits>
constexpr chrono::hours | operator""h ()
constexpr chrono::duration< long double, ratio< 3600, 1 > > | operator""h (long double __hours)
template<char... _Digits>
constexpr chrono::minutes | operator""min ()
constexpr chrono::duration< long double, ratio< 60, 1 > > | operator""min (long double __mins)
template<char... _Digits>
constexpr chrono::milliseconds | operator""ms ()
constexpr chrono::duration< long double, milli > | operator""ms (long double __msecs)
template<char... _Digits>
constexpr chrono::nanoseconds | operator""ns ()
constexpr chrono::duration< long double, nano > | operator""ns (long double __nsecs)
template<char... _Digits>
constexpr chrono::seconds | operator""s ()
basic_string< char > | operator""s (const char *__str, size_t __len)
basic_string< char16_t > | operator""s (const char16_t *__str, size_t __len)
basic_string< char32_t > | operator""s (const char32_t *__str, size_t __len)
basic_string< wchar_t > | operator""s (const wchar_t *__str, size_t __len)
constexpr chrono::duration< long double > | operator""s (long double __secs)
constexpr basic_string_view< char > | operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | operator""sv (const wchar_t *__str, size_t __len) noexcept
template<char... _Digits>
constexpr chrono::microseconds | operator""us ()
constexpr chrono::duration< long double, micro > | operator""us (long double __usecs)

## Detailed Description

ISO C++ inline namespace for literal suffixes.

## Function Documentation

## operator""s() [1/4]

basic_string< char > std::literals::string_literals::operator""s | ( | const char * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 4693 of file basic_string.h.

## operator""s() [2/4]

basic_string< char16_t > std::literals::string_literals::operator""s | ( | const char16_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 4710 of file basic_string.h.

## operator""s() [3/4]

basic_string< char32_t > std::literals::string_literals::operator""s | ( | const char32_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 4715 of file basic_string.h.

## operator""s() [4/4]

basic_string< wchar_t > std::literals::string_literals::operator""s | ( | const wchar_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 4698 of file basic_string.h.

## operator""sv() [1/4]

constexpr basic_string_view< char > std::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 862 of file string_view.

## operator""sv() [2/4]

constexpr basic_string_view< char16_t > std::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 876 of file string_view.

## operator""sv() [3/4]

constexpr basic_string_view< char32_t > std::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 880 of file string_view.

## operator""sv() [4/4]

constexpr basic_string_view< wchar_t > std::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 866 of file string_view.